org.apache.tomcat.util.bcel.classfile

## Class ConstantUtf8

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Constant
  - - org.apache.tomcat.util.bcel.classfile.ConstantUtf8

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ConstantUtf8
    extends Constant

This class is derived from the abstract Constant class and represents a reference to a Utf8 encoded string.

Author:
  M. Dahm
See Also:
  `Constant`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant

`tag`

### Method Summary

Methods
`String` `getBytes()`
`String` `toString()`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant

`clone, equals, getTag, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getBytes

    public final String getBytes()

Returns:
  Data converted to string.

#### toString

    public final String toString()

Overrides:
  `toString` in class `Constant`
Returns:
  String representation